<section class="header-section">
    <section class="logo-container">
        <a *ngIf="logoUrl !== undefined" routerLink="/"><img [src]="hostName + logoUrl" alt="logo"></a>
    </section>
    <section class="links-container">
        <section class="desktop-view">
            <div class="header-left">
                <cx-header-nav-molecule [headerNavLinks]="headerNavLinks" [headerLinks]="headerLinks"></cx-header-nav-molecule>
            </div>
            <div class="header-right">
                <app-cx-header-links-molecule></app-cx-header-links-molecule>
            </div>
        </section>
        <section class="mobile-nav-container">
            <div id="mySidenav" class="mobile-sidenav">
                <a href="javascript:void(0)" class="closebtn" (click)="closeNav()">&times;</a>
                <div class="btn-container" (click)="closeNav()">
                    <app-cx-header-links-molecule></app-cx-header-links-molecule>
                </div>
                <section id="header-links" (click)="closeNav()">
                    <cx-header-nav-molecule [headerNavLinks]="headerNavLinks" [headerLinks]="headerLinks"></cx-header-nav-molecule>
                </section>
            </div>
            <span class="hamburger" style="font-size:30px;cursor:pointer" (click)="toggleNav()">&#9776;</span>
        </section>
    </section>
</section>